#include <iostream>

using namespace std;
int grupa(int o)
{
    if (o>0)
    return o+grupa(o-1);
    else
    return 0;
}
int main()
{
    int t,m,n,k;
    cin >>t;
    int i,o,p,l,j;
    for (i=0;i<t;i++)
    {
        cin >>n>>m>>k;
        l=0;
        o=0;
        while (n>=k)
        {
            o++;
            n=n-k;
        }
        while (n!=0)
        {
            l=l+grupa(o+1);
            n--;
            k--;
        }
        while (k!=0)
        {
            l=l+grupa(o);
            k--;
        }
        if (l<=m)
        cout <<"Tak"<<endl;
        else
        cout <<"Nie";
    }
    
}